<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>WSP008</title>
</head>
<body>
  <a href="/testing">hihi</a>
  <!-- www-form-urlencoded -->
  <form action="/testing?password=1234" method="POST" enctype="multipart/form-data">
    <input type="hidden" name="secret" value="其實我好眼訓">
    <input type="text" name="username">
    <input type="password" name="password">
    <input type="file" name="photo">
    <input type="submit">
  </form>
  <form action="/testing" method="GET">
    <input type="hidden" name="secret" value="其實我好眼訓">
    <input type="text" name="username">
    <input type="password" name="password">
    <input type="submit">
  </form>
</body>
</html>